MPI_File_preallocate(3)

NAME
MPI_File_preallocate - Preallocates storage space for a file

SYNOPSIS
int MPI_File_preallocate(MPI_File mpi_fh, MPI_Offset size)

INPUT PARAMETERS
fh  - file handle (handle)
size
    - size to preallocate (nonnegative integer)

NOTES FOR FORTRAN
All MPI routines in Fortran (except for MPI_WTIME and MPI_WTICK ) have an additional argument ierr at the end of the argument list. ierr is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the call statement. All MPI objects (e.g., MPI_Datatype , MPI_Comm ) are of type INTEGER in Fortran.

LOCATION
prealloc.c